Printago API
POST /v1/folders

Create a new folder

Requires: part.create

Request Body

Folder creation details

CreateFolderRequest
customMetadataoptional
Record<string, any>
namerequired
string
parentIdrequired
string
typerequired
any

Example Request

application/json
{
  "name": "string",
  "customMetadata": {}
}

Response Schema

Folder
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
parentIdrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
any
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "name": "string",
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.488Z",
  "updatedAt": "2026-09-09T20:31:46.488Z"
}